package com.ruoyi.framework.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 诊断数据更新对象 DiagnosisUpdates
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
public class DiagnosisUpdates extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 更新唯一标识 */
    private Long UpdateID;

    /** 病患ID */
    @Excel(name = "病患ID")
    private Long PatientID;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date UpdateDate;

    /** 诊断 */
    @Excel(name = "诊断")
    private String Diagnosis;

    /** 新出现的症状 */
    @Excel(name = "新出现的症状")
    private String NewSymptoms;

    /** 症状变化 */
    @Excel(name = "症状变化")
    private String ChangedSymptoms;

    /** 生命体征变化 */
    @Excel(name = "生命体征变化")
    private String VitalSignsChanges;

    /** 实验室检查结果变化 */
    @Excel(name = "实验室检查结果变化")
    private String LabResultsChanges;

    /** 治疗方案变化 */
    @Excel(name = "治疗方案变化")
    private String TreatmentChanges;

    /** 备注 */
    @Excel(name = "备注")
    private String Notes;

    /** 更新者 */
    @Excel(name = "更新者")
    private String UpdatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date UpdatedAt;

    public void setUpdateID(Long UpdateID) 
    {
        this.UpdateID = UpdateID;
    }

    public Long getUpdateID() 
    {
        return UpdateID;
    }
    public void setPatientID(Long PatientID) 
    {
        this.PatientID = PatientID;
    }

    public Long getPatientID() 
    {
        return PatientID;
    }
    public void setUpdateDate(Date UpdateDate) 
    {
        this.UpdateDate = UpdateDate;
    }

    public Date getUpdateDate() 
    {
        return UpdateDate;
    }
    public void setDiagnosis(String Diagnosis) 
    {
        this.Diagnosis = Diagnosis;
    }

    public String getDiagnosis() 
    {
        return Diagnosis;
    }
    public void setNewSymptoms(String NewSymptoms) 
    {
        this.NewSymptoms = NewSymptoms;
    }

    public String getNewSymptoms() 
    {
        return NewSymptoms;
    }
    public void setChangedSymptoms(String ChangedSymptoms) 
    {
        this.ChangedSymptoms = ChangedSymptoms;
    }

    public String getChangedSymptoms() 
    {
        return ChangedSymptoms;
    }
    public void setVitalSignsChanges(String VitalSignsChanges) 
    {
        this.VitalSignsChanges = VitalSignsChanges;
    }

    public String getVitalSignsChanges() 
    {
        return VitalSignsChanges;
    }
    public void setLabResultsChanges(String LabResultsChanges) 
    {
        this.LabResultsChanges = LabResultsChanges;
    }

    public String getLabResultsChanges() 
    {
        return LabResultsChanges;
    }
    public void setTreatmentChanges(String TreatmentChanges) 
    {
        this.TreatmentChanges = TreatmentChanges;
    }

    public String getTreatmentChanges() 
    {
        return TreatmentChanges;
    }
    public void setNotes(String Notes) 
    {
        this.Notes = Notes;
    }

    public String getNotes() 
    {
        return Notes;
    }
    public void setUpdatedBy(String UpdatedBy) 
    {
        this.UpdatedBy = UpdatedBy;
    }

    public String getUpdatedBy() 
    {
        return UpdatedBy;
    }
    public void setUpdatedAt(Date UpdatedAt) 
    {
        this.UpdatedAt = UpdatedAt;
    }

    public Date getUpdatedAt() 
    {
        return UpdatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("UpdateID", getUpdateID())
            .append("PatientID", getPatientID())
            .append("UpdateDate", getUpdateDate())
            .append("Diagnosis", getDiagnosis())
            .append("NewSymptoms", getNewSymptoms())
            .append("ChangedSymptoms", getChangedSymptoms())
            .append("VitalSignsChanges", getVitalSignsChanges())
            .append("LabResultsChanges", getLabResultsChanges())
            .append("TreatmentChanges", getTreatmentChanges())
            .append("Notes", getNotes())
            .append("UpdatedBy", getUpdatedBy())
            .append("UpdatedAt", getUpdatedAt())
            .toString();
    }
}
